LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

2011 Labview project with sbRIO cannot build RT app with Lv 2014: error 1003

Solved!
Go to solution

Hi,

 

I have a project developped with labview 2011. It contains a PC app and an SbRIO RT-FPGA app. 

 

I made a simple modification in a RT VI. then I tryied to build the new application for my SbRIO.

 

the problem is when I click  "Build", a dialog error appears saying there is a VI with broken arrow. but all my VI are OK.

 

Can you help me please ! 

 

Best regards

 

Project_structure.pngError dialog.png

---------------------------------------------------------
Certified Labview Associate Developer
0 Kudos
Message 1 of 20
(1,456 Views)
Highlighted

- open the main vi

- Press Ctrl + Shift + run

- in the project: save all

- close all open VIs

- re-try your build

 

does it work now?

0 Kudos
Message 2 of 20
(1,449 Views)
Highlighted

Hi Mathis,

 

Thank you for your response.

 

I tried with the procedure you have descriped, but, unfortunately, it doesn't resolve the problem. I still have the same dialog error .

 

Best regards

---------------------------------------------------------
Certified Labview Associate Developer
0 Kudos
Message 3 of 20
(1,437 Views)
Highlighted

Can you run the application interactively without error (you will need to upgrade the software/drivers on your sbRIO through MAX)?

 

Best Regards

 

Mathis

0 Kudos
Message 4 of 20
(1,426 Views)
Highlighted

Hi Mathis,

 

I upgraded the SbRIO software to 2014 version using MAX. 

 

My RT application runs but it it can't open FPGA reference. I think the problem is in FPGA vi, should I recompile it ? or install the bitfile through MAX.

 

Best regards

---------------------------------------------------------
Certified Labview Associate Developer
0 Kudos
Message 5 of 20
(1,407 Views)
Highlighted

Yes, you have to rebuild the FPGA. When upgrading the LabVIEW version for RT you also upgrade the FPGA version. The FPGA VI got the "modified" tick once you loaded it in 2014 which means it requires a re-build even though the bitfile would probably work.

 

This is possibly the reason for the build error ... but not necessarily. Try re-building your bitfile and see if you can run the application interactively. If that works, try a build of the RT application.

 

Best Regards

 

Mathis

Message 6 of 20
(1,399 Views)
Highlighted

 

thank you Mathis !

 

OK, I am recompiling the FPGA vi. I'm using the service cloud for compilation. I think it will not take so much time.

 

Best regards

Bahsoun

---------------------------------------------------------
Certified Labview Associate Developer
0 Kudos
Message 7 of 20
(1,391 Views)
Highlighted

Hi,

 

FPGA vi compilation : DONE

 

RT vi can now work in interactive mode, but still can't build the RT app. The same error dialog appears when I click "build".

 

I found this article Error 1003 Occurs When Trying to Compile LabVIEW 2011 Project  talking about a problem that has relationship with PPLs. I think this is the problem but I dont know where to find "the original un-packed library".

 

Please still need your help !

 

Best regards

Bahsoun

---------------------------------------------------------
Certified Labview Associate Developer
0 Kudos
Message 8 of 20
(1,370 Views)
Highlighted

The next step says to rebuild using LabVIEW 2012 or later so if you're still using 2011 there isn't a solution (listed on that page). Do you have a later version of LabVIEW that you could build it in?

-----------------------------------------------
Brandon Grey
Certified LabVIEW Architect

0 Kudos
Message 9 of 20
(1,351 Views)
Highlighted

Hi GreyGrey

 

Actually I am using Labview 2014  PS1. 

 

I dindn't check if this is a known issue in Labview 2011.

 

Best regards

---------------------------------------------------------
Certified Labview Associate Developer
0 Kudos
Message 10 of 20
(1,334 Views)